Skip to main content
`Ctrl`+`K`

# DMTSSetIFunctionContextDestroy

set `TS` implicit evaluation context destroy function into a `DMTS`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetIFunctionContextDestroy(DM dm, PetscErrorCode (*f)(void *))

Not Collective

## Input Parameters

- dm - `DM` to be used with `TS`

- f - implicit evaluation context destroy function

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DM`, `TS`, `DMTSSetIFunction()`, `TSSetIFunction()`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages